# k210_hal::fpioa - Rust
Field Programmable IO Array (FPIOA)
Keywords: rust, rustlang, rust-lang, fpioa

# Module k210_hal::fpioa

source · [−]
Expand description

Field Programmable IO Array (FPIOA)

## Re-exports

`pub use io_pins::*;`
`pub use functions::*;`

## Modules

functions

All programmable functions

io_pins

All I/O pins

## Structs

Parts

FPIOA Parts

## Enums

Pull

Pull direction

## Traits

FpioaExt

Extension trait to split a FPIOA peripheral in independent pins and registers

Function

FPIOA function

IoPin

FPIOA I/O Pin

Mode

Marker trait for I/O pin function detection